Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Deals

List Deals

GET
/v1/deals

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

contact?string
contact[in]?string
external_id?string
external_id[in]?string
status?string
status[in]?string
status_key?string
status_key[in]?string
type_key?string
type_key[in]?string
assignee?string
assignee[in]?string
assignee[is_null]?true
assignee[not_null]?true
value?string
value[gt]?string
value[gte]?string
value[lt]?string
value[lte]?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length
include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

include_details?array<string>

Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/deals"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "name": "string",      "external_id": "string",      "status_id": "4e949624-bc0f-439e-a9f2-25a23938812c",      "status_key": "string",      "type_key": "string",      "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "value": 0,      "currency": "CHF",      "won_at": "2019-08-24T14:15:22Z",      "won_at_date": "2019-08-24T14:15:22Z",      "won_at_time": "string",      "lost_at": "2019-08-24T14:15:22Z",      "lost_at_date": "2019-08-24T14:15:22Z",      "lost_at_time": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "contact": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "full_name": "string",        "salutation": "string",        "birthday": "2019-08-24T14:15:22Z",        "description": "string",        "external_id": "string",        "secondary_external_id": "string",        "address_line1": "string",        "address_line2": "string",        "city": "string",        "zipcode": "string",        "country": "string",        "is_blocked": true,        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "status": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "deal_type_id": "67a77ec5-f8f5-437b-803b-6cf8616da6cc",        "idx": 9007199254740991,        "name": "string",        "type": "in_progress",        "key": "string",        "is_gallery": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deal_type": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",          "name": "string",          "key": "string",          "emoji": "string",          "is_gallery": true,          "gallery_key": "string",          "deleted_at": "2019-08-24T14:15:22Z",          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      },      "assignee": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "display_name": "string",        "username": "string",        "full_name": "string",        "email": "string",        "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",        "is_admin": true,        "signature": "string",        "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",        "locale": "string",        "enable_shortcuts": true,        "is_web_push_enabled": true,        "is_mobile_push_enabled": true,        "is_active": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "property1": null,      "property2": null    }  ],  "next_page_url": "string",  "previous_page_url": "string"}